/*
 *
 * EditPatientPage constants
 *
 */
export { DELETE_PATIENT, UPDATE_PATIENT } from 'containers/MainContainer/constants';

export const REQUEST_ERROR = 'app/EditPatientPage/REQUEST_ERROR';
export const FETCH_PATIENT = 'app/EditPatientPage/FETCH_PATIENT';
export const LOAD_PATIENT = 'app/EditPatientPage/LOAD_PATIENT';
export const EDIT_PAGE_UPDATE_PATIENT = 'app/EditPatientPage/UPDATE_PATIENT';
export const EDIT_PAGE_DELETE_PATIENT = 'app/EditPatientPage/DELETE_PATIENT';

export const FETCH_PAYER_LIST_REQUEST = 'app/EditPatientPage/FETCH_PAYER_LIST_REQUEST';
export const FETCH_PAYER_LIST_SUCCESS = 'app/EditPatientPage/FETCH_PAYER_LIST_SUCCESS';
export const FETCH_PAYER_LIST_FAILURE = 'app/EditPatientPage/FETCH_PAYER_LIST_FAILURE';

export const FETCH_PRESCRIPTION_REQUEST = 'app/EditPatientPage/FETCH_PRESCRIPTION_REQUEST';
export const FETCH_PRESCRIPTION_SUCCESS = 'app/EditPatientPage/FETCH_PRESCRIPTION_SUCCESS';
export const FETCH_PRESCRIPTION_FAILURE = 'app/EditPatientPage/FETCH_PRESCRIPTION_FAILURE';

export const FETCH_PRESCRIPTION_LIST_REQUEST = 'app/EditPatientPage/FETCH_PRESCRIPTION_LIST_REQUEST';
export const FETCH_PRESCRIPTION_LIST_SUCCESS = 'app/EditPatientPage/FETCH_PRESCRIPTION_LIST_SUCCESS';
export const FETCH_PRESCRIPTION_LIST_FAILURE = 'app/EditPatientPage/FETCH_PRESCRIPTION_LIST_FAILURE';

export const UPDATE_PRESCRIPTION_REQUEST = 'app/EditPatientPage/UPDATE_PRESCRIPTION_REQUEST';
export const UPDATE_PRESCRIPTION_SUCCESS = 'app/EditPatientPage/UPDATE_PRESCRIPTION_SUCCESS';
export const UPDATE_PRESCRIPTION_FAILURE = 'app/EditPatientPage/UPDATE_PRESCRIPTION_FAILURE';

export const DELETE_PRESCRIPTION_REQUEST = 'app/EditPatientPage/DELETE_PRESCRIPTION_REQUEST';
export const DELETE_PRESCRIPTION_SUCCESS = 'app/EditPatientPage/DELETE_PRESCRIPTION_SUCCESS';
export const DELETE_PRESCRIPTION_FAILURE = 'app/EditPatientPage/DELETE_PRESCRIPTION_FAILURE';

export const FETCH_APPOINTMENT_REQUEST = 'app/EditPatientPage/FETCH_APPOINTMENT_REQUEST';
export const FETCH_APPOINTMENT_SUCCESS = 'app/EditPatientPage/FETCH_APPOINTMENT_SUCCESS';
export const FETCH_APPOINTMENT_FAILURE = 'app/EditPatientPage/FETCH_APPOINTMENT_FAILURE';

export const FETCH_APPOINTMENT_LIST_REQUEST = 'app/EditPatientPage/FETCH_APPOINTMENT_LIST_REQUEST';
export const FETCH_APPOINTMENT_LIST_SUCCESS = 'app/EditPatientPage/FETCH_APPOINTMENT_LIST_SUCCESS';
export const FETCH_APPOINTMENT_LIST_FAILURE = 'app/EditPatientPage/FETCH_APPOINTMENT_LIST_FAILURE';

export const UPDATE_APPOINTMENT_REQUEST = 'app/EditPatientPage/UPDATE_APPOINTMENT_REQUEST';
export const UPDATE_APPOINTMENT_SUCCESS = 'app/EditPatientPage/UPDATE_APPOINTMENT_SUCCESS';
export const UPDATE_APPOINTMENT_FAILURE = 'app/EditPatientPage/UPDATE_APPOINTMENT_FAILURE';

export const UPDATE_APPOINTMENT_LIST_REQUEST = 'app/EditPatientPage/UPDATE_APPOINTMENT_LIST_REQUEST';
export const UPDATE_APPOINTMENT_LIST_SUCCESS = 'app/EditPatientPage/UPDATE_APPOINTMENT_LIST_SUCCESS';
export const UPDATE_APPOINTMENT_LIST_FAILURE = 'app/EditPatientPage/UPDATE_APPOINTMENT_LIST_FAILURE';

export const DELETE_APPOINTMENT_REQUEST = 'app/EditPatientPage/DELETE_APPOINTMENT_REQUEST';
export const DELETE_APPOINTMENT_SUCCESS = 'app/EditPatientPage/DELETE_APPOINTMENT_SUCCESS';
export const DELETE_APPOINTMENT_FAILURE = 'app/EditPatientPage/DELETE_APPOINTMENT_FAILURE';

export const FETCH_USER_LIST_REQUEST = 'app/EditPatientPage/FETCH_USER_LIST_REQUEST';
export const FETCH_USER_LIST_SUCCESS = 'app/EditPatientPage/FETCH_USER_LIST_SUCCESS';
export const FETCH_USER_LIST_FAILURE = 'app/EditPatientPage/FETCH_USER_LIST_FAILURE';

export const FETCH_ROLE_LIST_REQUEST = 'app/EditPatientPage/FETCH_ROLE_LIST_REQUEST';
export const FETCH_ROLE_LIST_SUCCESS = 'app/EditPatientPage/FETCH_ROLE_LIST_SUCCESS';
export const FETCH_ROLE_LIST_FAILURE = 'app/EditPatientPage/FETCH_ROLE_LIST_FAILURE';

export const FETCH_EQUIPMENT_LIST_REQUEST = 'app/EditPatientPage/FETCH_EQUIPMENT_LIST_REQUEST';
export const FETCH_EQUIPMENT_LIST_SUCCESS = 'app/EditPatientPage/FETCH_EQUIPMENT_LIST_SUCCESS';
export const FETCH_EQUIPMENT_LIST_FAILURE = 'app/EditPatientPage/FETCH_EQUIPMENT_LIST_FAILURE';

export const FETCH_ROOM_LIST_REQUEST = 'app/EditPatientPage/FETCH_ROOM_LIST_REQUEST';
export const FETCH_ROOM_LIST_SUCCESS = 'app/EditPatientPage/FETCH_ROOM_LIST_SUCCESS';
export const FETCH_ROOM_LIST_FAILURE = 'app/EditPatientPage/FETCH_ROOM_LIST_FAILURE';

export const FETCH_SERVICE_LIST_REQUEST = 'app/EditPatientPage/FETCH_SERVICE_LIST_REQUEST';
export const FETCH_SERVICE_LIST_SUCCESS = 'app/EditPatientPage/FETCH_SERVICE_LIST_SUCCESS';
export const FETCH_SERVICE_LIST_FAILURE = 'app/EditPatientPage/FETCH_SERVICE_LIST_FAILURE';

export const FETCH_CATEGORY_LIST_REQUEST = 'app/EditPatientPage/FETCH_CATEGORY_LIST_REQUEST';
export const FETCH_CATEGORY_LIST_SUCCESS = 'app/EditPatientPage/FETCH_CATEGORY_LIST_SUCCESS';
export const FETCH_CATEGORY_LIST_FAILURE = 'app/EditPatientPage/FETCH_CATEGORY_LIST_FAILURE';

export const CHANGE_PAYER = 'app/EditPatientPage/CHANGE_PAYER';

export const TOGGLE_APPOINTMENT_CHECKED = 'app/EditPatientPage/TOGGLE_APPOINTMENT_CHECKED';
export const TOGGLE_ALL_APPOINTMENTS_CHECKED = 'app/EditPatientPage/TOGGLE_ALL_APPOINTMENTS_CHECKED';

export const SHOW_OVERBOOKING_MODAL = 'app/EditPatientPage/SHOW_OVERBOOKING_MODAL_SUCCESS';
export const HIDE_OVERBOOKING_MODAL = 'app/EditPatientPage/HIDE_OVERBOOKING_MODAL';

export const SET_MESSAGE = 'app/EditPatientPage/SET_MESSAGE';
